Dark Reading is part of the Informa Tech Division of Informa PLC

This site is operated by a business or businesses owned by Informa PLC and all copyright resides with them.Informa PLC's registered office is 5 Howick Place, London SW1P 1WG. Registered in England and Wales. Number 8860726.

Risk

5/21/2009
10:43 AM
Keith Ferrell
Keith Ferrell
Commentary
50%
50%

Web 2.0 For Business Requires Web 2.0-Level Security: Websense

The various elements and components and approaches that comprise Web 2.0 offer large business promise. But they also create large business risk and exposure. Better make sure your security and especially your security policies are up to the challenges.

The various elements and components and approaches that comprise Web 2.0 offer large business promise. But they also create large business risk and exposure. Better make sure your security and especially your security policies are up to the challenges.All the shiny new and not so new features and tools that make up Web 2.0 -- your uploaded content, social nets, Cloud-based apps, wikis, you name it -- are being embraced by business that's outstripping business's implementation of security policies and approaches designed with Web 2.0 in mind.

The deeper levels of communication, community, convenience and connectedness that Web 2.0 promises -- and that many small and midsized business are putting effectively to work -- requires more vigilance and tighter, more clearly defined and enforced security and usage policies, yet most businesses continue to dodge those particular bullets, according to a new survey from Websense.

The problem appears to be composed of equal parts complacency -- belief that existing, traditional security tools are adequate to meet new challenges -- and insufficient understanding of just what Web 2.0 is.

Fully half of the 1300 respondents to the survey failed to identity didn't include Cloud-based apps in their Web 2.0 profiles.

Other findings:

68 percent have no real-time analysis of Web content

59 percent can't prevent URL re-directs

53 percent do not have anti-spyware security solutions

52 percent have no solutions to detect embedded malicious code on trusted Web sites

55 percent don't have data loss prevention technology to stop sensitive information from being uploaded to blogs and wikis

Problem is -- among other things -- employees are heavy users of Web 2.0 sites, and the use is getting heavier. Even if your company isn't using Web 2.0 tools for marketing or other business purposes, it's an almost completely safe bet that some of your employees are hitting YouTube or FaceBook, commenting on blogs, cruising to content heavy sites that may also be malware-intensive.

If your business isn't addressing every one of these elements with both appropriate tools and enforceable usage policies, you're not only behind the times, you're putting your business squarely in the sights of the crooks.

New technologies bring new opportunities but they also bring new risks. That chestnut holds up in spades for Web 2.0 in the workplace.

Websense's Web 2.0 analysis can be downloaded here (registration required).

Checked out bMighty's bSecure SMB Security On A Budget yet? The event is available on-demand now.

Learn a few things about budget-conscious security here:

Comment  | 
Print  | 
More Insights
Comments
Oldest First  |  Newest First  |  Threaded View
Virginia a Hot Spot For Cybersecurity Jobs
Jai Vijayan, Contributing Writer,  10/9/2019
How to Think Like a Hacker
Dr. Giovanni Vigna, Chief Technology Officer at Lastline,  10/10/2019
7 SMB Security Tips That Will Keep Your Company Safe
Steve Zurier, Contributing Writer,  10/11/2019
Register for Dark Reading Newsletters
White Papers
Video
Cartoon Contest
Current Issue
7 Threats & Disruptive Forces Changing the Face of Cybersecurity
This Dark Reading Tech Digest gives an in-depth look at the biggest emerging threats and disruptive forces that are changing the face of cybersecurity today.
Flash Poll
2019 Online Malware and Threats
2019 Online Malware and Threats
As cyberattacks become more frequent and more sophisticated, enterprise security teams are under unprecedented pressure to respond. Is your organization ready?
Twitter Feed
Dark Reading - Bug Report
Bug Report
Enterprise Vulnerabilities
From DHS/US-CERT's National Vulnerability Database
CVE-2019-17660
PUBLISHED: 2019-10-16
A cross-site scripting (XSS) vulnerability in admin/translate/translateheader_view.php in LimeSurvey 3.19.1 and earlier allows remote attackers to inject arbitrary web script or HTML via the tolang parameter, as demonstrated by the index.php/admin/translate/sa/index/surveyid/336819/lang/ PATH_INFO.
CVE-2019-11281
PUBLISHED: 2019-10-16
Pivotal RabbitMQ, versions prior to v3.7.18, and RabbitMQ for PCF, versions 1.15.x prior to 1.15.13, versions 1.16.x prior to 1.16.6, and versions 1.17.x prior to 1.17.3, contain two components, the virtual host limits page, and the federation management UI, which do not properly sanitize user input...
CVE-2019-16521
PUBLISHED: 2019-10-16
The broken-link-checker plugin through 1.11.8 for WordPress (aka Broken Link Checker) is susceptible to Reflected XSS due to improper encoding and insertion of an HTTP GET parameter into HTML. The filter function on the page listing all detected broken links can be exploited by providing an XSS payl...
CVE-2019-16522
PUBLISHED: 2019-10-16
The eu-cookie-law plugin through 3.0.6 for WordPress (aka EU Cookie Law (GDPR)) is susceptible to Stored XSS due to improper encoding of several configuration options in the admin area and the displayed cookie consent message. This affects Font Color, Background Color, and the Disable Cookie text. A...
CVE-2019-16523
PUBLISHED: 2019-10-16
The events-manager plugin through 5.9.5 for WordPress (aka Events Manager) is susceptible to Stored XSS due to improper encoding and insertion of data provided to the attribute map_style of shortcodes (locations_map and events_map) provided by the plugin.